summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-12-16 17:55:37 +1100
committerJesse Duffield <jessedduffield@gmail.com>2018-12-16 17:55:37 +1100
commitc56b303b2983e313261db6e89891058fa63739ac (patch)
treea85da4fa53e3aa571d1fdd583dccf44b0c1a6480 /test
parent4886b8350e0af56fd1d634c99e0f7502f23b9289 (diff)
add pre-hook to test credentials panel
Diffstat (limited to 'test')
-rw-r--r--test/hooks/pre-push22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/hooks/pre-push b/test/hooks/pre-push
new file mode 100644
index 000000000..156b9664c
--- /dev/null
+++ b/test/hooks/pre-push
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# test pre-push hook for testing the lazygit credentials view
+#
+# to enable, use:
+# chmod +x .git/hooks/pre-push
+#
+# this will hang if you're using git from the command line, so only enable this
+# when you are testing the credentials view in lazygit
+
+exec < /dev/tty
+
+echo -n "Username for 'github': "
+read username
+
+echo -n "Password for 'github': "
+read password
+
+# echo "failed"
+# exit 1
+
+exit 0 \ No newline at end of file